html {
  all: unset;
}

body {
  background-color: black;
  max-width: 100vw;
  height: 100vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

#title {
  text-align: center;
  color: white;
}

#canvas--container {
  position: relative;
  width: 100%;
  flex: 0.8;
}
.canvas:first-child {
  background-color: #e0e0e0;
}

.canvas {
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
}

@media screen and (aspect-ratio > 7/10) {
  .canvas {
    width: auto;
    height: 100%;
  }
}
@media screen and (aspect-ratio <= 7/10) {
  .canvas {
    width: 100%;
    height: auto;
  }
}

#control {
  flex: 0.2;
  margin: 10px 0;
  padding: 10px;
  border: 1px solid #e0e0e0;
  border-radius: 10px;
}

.slider--input,
.checkbox--input {
  vertical-align: middle;
}
.slider--label,
.checkbox--label {
  vertical-align: middle;
  color: #e0e0e0;
}
